<div class="card-body p-0">
  <form id="kt_modal_new_target_form" class="form fv-plugins-bootstrap5 fv-plugins-framework" action="#">

    <div class="row">
      <div class="col-12 col-lg-12 col-sm-12 mb-4 justify-content-end ">
        <div class="d-flex flex-column fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6  mb-2">
            <span class="">Ref : </span> <span class="fw-bold text-danger">{{ this.dateRef }}</span>
          </label>
        </div>
      </div>

      <div class="col-12 col-lg-12 col-sm-12 mb-4 row">

        <div class="col-12 col-lg-6 d-flex flex-column fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2" for="selectTypeRequisition">
            <span class="required">Requisição</span>
          </label>
          <input type="text" class="form-control form-control-sm" [(ngModel)]="this.move.oItem.title"
                 placeholder="Informação da requisição" name="title" id="titleMove">

          <div class="fv-plugins-message-container invalid-feedback"></div>

        </div>

        <div class="col-sm-4">
          <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
            <!--begin::Label-->
            <label class="d-flex align-items-center fs-6 fw-light mb-2">
              <span class="">Cliente</span>
            </label>
            <!--end::Label-->
            <select class="form-select form-select-sm selector rounded-end-0" data-control="select2"
                    data-allow-clear="true" data-placeholder="Selecciona o cliente" id="clientSelector"
                    #selectedProduct>
              <option></option>
              <option [value]="client|json" *ngFor="let client of listClient|async ">
                {{ client.name}}
              </option>
            </select>


            <div class="fv-plugins-message-container invalid-feedback"></div>
          </div>
        </div>
      </div>


      <div class="accordion accordion-icon-toggle" id="kt_accordion_2">
        <!--begin::Item-->
        <div class="mb-10">
          <!--begin::Header-->
          <div class="separator separator-dashed my-4"></div>

          <div class="accordion-header d-flex" data-bs-toggle="collapse" data-bs-target="#kt_accordion_2_item_1">
            <div class="fv-plugins-message-container text-primary text-right mb-4"><i class="bi bi-bookmarks-fill"></i>
              Outras informações do documento
            </div>
          </div>

          <div id="kt_accordion_2_item_1" class="fs-6 collapse p-3" data-bs-parent="#kt_accordion_2">

            <div class="row">
              <div class="col-12 col-lg-10 col-sm-8 ">
                <div class="d-flex flex-column fv-row fv-plugins-icon-container">
                  <!--begin::Label-->
                  <label class="d-flex align-items-center fs-6  mb-2">
                    <span class="">Obs</span>
                  </label>
                  <!--end::Label-->
                  <textarea type="text" class="form-control form-control-sm" rows="5" [(ngModel)]="move.oItem.details"
                            placeholder="Observações ou anotações da requisição"
                            name="datasheet"></textarea>
                  <div class="fv-plugins-message-container invalid-feedback"></div>
                  <!--  <span class="mt-3 text-muted font-italic ml-5">Selecciona o produto para configurar o codigo de barra</span> -->
                </div>
              </div>

              <div class="col-12 col-lg-2 col-sm-4 justify-content-center text-center">
                <qrcode [qrdata]="this.dateRef?this.dateRef : idMovement" [width]="150" colorLight="#ffffff00"
                        [errorCorrectionLevel]="'M'"></qrcode>
              </div>
            </div>

          </div>
          <div class="separator separator-dashed my-1"></div>
        </div>


      </div>


    </div>
    <div class="row">
      <div class="col-12  col-sm-8 col-lg-9 col-xl-8  mb-4">
        <div class="d-flex flex-column fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2" for="selectedArmazem">
            <span class="required">Armazém</span>
          </label>
          <!--end::Label-->
          <select class="form-select form-select-sm selector" data-control="select2" data-allow-clear="true"
                  data-placeholder="Selecciona o armazém" id="selectedArmazem">
            <option></option>
            <option [value]="stor|json" *ngFor="let stor of listStorage|async">
              {{ stor.name }}
            </option>

          </select>

          <div class="fv-plugins-message-container invalid-feedback"></div>

        </div>
      </div>

    </div>
    <div class="row  mt-4">

      <div class=" col-12 col-sm-8 col-md-8 col-lg-5 col-xxl-5 ">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2">
            <span class="required">Artigo</span>
          </label>
          <!--end::Label-->
          <div class="input-group input-group-sm input-group-solid flex-nowrap">
            <!--end::Label-->
            <div class="overflow-hidden flex-grow-1">
              <select class="form-select form-select-sm selector " data-control="select2"
                      data-allow-clear="true" data-placeholder="Selecciona o artigo" id="selectedArticle">
                <option></option>
                <option [value]="ean|json" *ngFor="let ean of listArticle">
                  {{ ean?.localAmbry + ' - ' + ean?.localShelf + ' : ' }}
                  {{
                  (this.serviceUtil.convertJson(ean.article).ean ? this.serviceUtil.convertJson(ean.article).ean + ' - ' : '')
                  + this.serviceUtil.convertJson(ean.article).name +
                  (this.serviceUtil.convertJson(ean.article).model ? ' - ' + this.serviceUtil.convertJson(ean.article).model : '')

                  }}
                  &nbsp;
                  ({{'Qt ' + ean?.quantity}})
                  <!--  {{(ean.ean ? ean.ean + ' - ' : '') + ean.name + (ean.model ? ' - ' + ean.model : '') }} -->
                </option>
              </select>
            </div>

            <span class="input-group-text"> <i class="fa fa-search"></i></span>
          </div>
          <div class="fv-plugins-message-container invalid-feedback"></div>

        </div>
      </div>

      <div class="col-12 col-lg-5 col-xxl-2">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 mb-2">
            <span class="">S/N</span>
          </label>
          <!--end::Label-->

          <input type="text" class="form-control form-control-sm " id="SN" placeholder="Númerio Serial "
                 (keyup.enter)="enteredNewItem()" name="SN" [(ngModel)]="item.oItem.SN">

          <div class="fv-plugins-message-container invalid-feedback"></div>
        </div>
      </div>

      <!-- col-12 col-sm-8 col-md-8 col-lg-7 col-xxl-5 -->
      <div class="col-12 col-lg-2 col-xxl-2">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6  mb-2">
            <span class="">P/N</span>
          </label>
          <!--end::Label-->
          <input type="text" class="form-control form-control-sm " id="PN" placeholder="Número Part"
                 (keyup.enter)="enteredNewItem()" name="PN" [(ngModel)]="item.oItem.PN">
          <div class="fv-plugins-message-container invalid-feedback"></div>
        </div>
      </div>


      <div class="col-12 col-lg-2 col-xxl-2">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2">
            <span class="required">Qt itens</span>
          </label>
          <!--end::Label-->

          <input type="number" class="form-control form-control-sm " id="quantidadeItem"
                 (keyup)="controllerQuantity()"
                 placeholder="Quantidade do item" name="qt_item"
                 [(ngModel)]="item.oItem.quantity">

          <div class="fv-plugins-message-container invalid-feedback"></div>
        </div>
      </div>

      <div class="col-12 col-lg-1 col-xxl-1 d-flex flex-right">
        <div class=" pt-8">
          <button type="button" class="btn btn-sm btn-primary mb-2 btn-sm" (click)="addListItems()">
            <i class="fa fa-plus"></i>
          </button>

        </div>
      </div>


    </div>
    <app-item-requisicao></app-item-requisicao>

    <div class="col-12 mt-2 mb-4 position-fixed fixed-bottom " style="bottom: 5px; left: -35px; z-index: 110">
      <div class="input-group text-right justify-content-end">


        <button type="button" class="btn btn-sm btn-success btn-sm btn" (click)="save()">
          {{ this.util.SAVE_TEXT }}
        </button>
        <button type="button" class="btn btn-sm btn-danger btn-sm" (click)="cancelerMovement()">
          {{ this.util.CANCEL_TEXT }}
        </button>
      </div>
    </div>

  </form>

</div>

